<?php get_header(); ?>		

<div class="index-main-wrapper">
	
    <!-- BEGIN LOOP -->
    <div class="index-loop-wrapper">
        <div class="index-loop-wrapper-inner">
    
            <!-- BEGIN HIGHLIGHTED POSTS MARKER -->
            <?php if(get_theme_mod('powerup_disable_highlighted_content', '') === '') { ?>
            <div class="highlighted-posts-marker">
                <?php esc_html_e('Highlighted','powerup'); ?>
                <span class="icon-help-with-circle">
                    <span class="highlighted-posts-tooltip">
                        <?php esc_html_e('Color-marked content should be considered essential reading.','powerup'); ?>
                    </span>
                </span>
            </div>
            <?php } ?>
            <!-- END HIGHLIGHTED POSTS MARKER -->

            <!-- BEGIN ARCHIVE -->
            <?php if ( is_day() ) : ?>
                <div class="showing">
                    <span><?php esc_html_e('Content published on', 'powerup'); ?></span> <?php printf( get_the_date( esc_attr_x( 'F jS, Y', 'daily archives format', 'powerup' ) ) ); ?>
                </div>

            <?php elseif ( is_month() ) : ?>
                <div class="showing">
                    <span><?php esc_html_e('Content published in', 'powerup'); ?></span> <?php printf( get_the_date( esc_attr_x( 'F Y', 'monthly archives format', 'powerup' ) ) ); ?>
                </div>

            <?php elseif ( is_year() ) : ?>
                <div class="showing">
                    <span><?php esc_html_e('Content published in', 'powerup'); ?></span> <?php printf( get_the_date( esc_attr_x( 'Y', 'yearly archives format', 'powerup' ) ) ); ?>
                </div>

            <?php else : ?>
                <?php ( 'Blog archives' ); ?>
            <?php endif; ?>
            <!-- END ARCHIVE -->
        
            <div class="loop-index-top-border"></div>
            
            <?php // the loop ?>
            <?php if (have_posts()) : ?>
            <?php while (have_posts()) : the_post(); ?>
                
                <!-- BEGIN LOOP -->
                <?php get_template_part('loop-index'); ?>
                <!-- END LOOP  -->

            <?php endwhile; ?>
            <?php else : ?>

                <!-- BEGIN NO CONTENT FOUND -->
                <div class="powerup-no-posts-found">
                    <?php esc_html_e('Apologies, nothing found.', 'powerup' ); ?>
                </div>
                <!-- END NO CONTENT FOUND -->

            <?php endif; ?>
            
            <!-- BEGIN INCLUDE PAGINATION -->
            <?php get_template_part('pagination'); ?>
            <!-- END INCLUDE PAGINATION -->

        </div>
    </div>
    <!-- END LOOP -->
    
    <!-- BEGIN SIDEBAR -->
    <div class="sidebar-wrapper">
        <?php get_template_part('include-sidebar'); ?>
    </div>
    <!-- END SIDEBAR -->

</div>
<!-- /.index-main-wrapper -->

<?php get_footer(); ?>