<?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.', 'powerup' ); ?></p>
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>
        
<div id="comments" class="commentwrap">
	
	<div class="comments-wrapper">
	
		<?php
			// You can start editing here -- including this comment!
		?>

		<!-- BEGIN COMMENTS -->
		<?php if ( have_comments() ) : ?>
        
            <!-- BEGIN COMMENT COUNT -->
            <div class="comm-count">
                <span>
                    <?php comments_number('no comments yet','one comment','% comments'); ?>
                </span>
            </div>
            <!-- END COMMENT COUNT -->
            
			<ol class="commentlist">
				<?php wp_list_comments('callback=powerup_custom_theme_comment'); ?>
			</ol>
		
			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<div class="pagenav bottom clearfix">
                    <div class="post-nav-edge"></div>
                    <div class="post-nav-inner">
					    <?php paginate_comments_links( array('prev_text' => '&lt;', 'next_text' => '&gt;') );?>
                    </div>
				</div>
				<!-- /.pagenav -->
			<?php endif; // check for comment navigation ?>
		
		<?php else : // or, if we don't have comments:
		
			/* If there are no comments and comments are closed,
			 * let's leave a little note, shall we?
			 */
			if ( ! comments_open() ) :
		?>
		
		</div>
		<?php endif; // end ! comments_open() ?>

		<?php endif; // end have_comments() ?>
		<!-- END COMMENTS -->
		
		<!-- BEGIN COMMENT FORM -->
		<?php if ( have_comments() || comments_open() ) : ?>
		<?php endif; // end commentwrap ?>
        
                <?php 
                $custom_comment_form = array( 'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div id="commentform-fields"><div id="author-wrapper">' .
                            '<input type="text" name="author" id="author" value="' . esc_attr( $commenter['comment_author'] ) . '" placeholder="' . esc_html__( 'Your (nick)name*' , 'powerup' ) . '" size="22" tabindex="2" />' .
                            '</div>',
                    'email'  => '<div id="email-wrapper">' .
                            '<input type="text" name="email" id="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" placeholder="' . esc_html__( 'E-mail address (hidden)*' , 'powerup' ) . '" size="22" tabindex="3" />' .
                            '</div>',
                    'url'    => '<div id="url-wrapper">' .
                            '<input name="url" id="url" type="text" value="' . esc_url(  $commenter['comment_author_url'] ) . '" placeholder="' . esc_html__( 'Website (optional)' , 'powerup' ) . '" size="22" tabindex="4" />' .
                            '</div></div>') ),
                    'comment_field' => '<div class="commentform-wrapper"><div class="commentform-inner"><div class="commentform-outer-border"><div class="commentform-inner-border"><div id="comment-wrapper"><div class="comment-wrapper-inner">' .
                            '<textarea name="comment" id="comment" cols="45" rows="10" tabindex="1" placeholder="' . esc_html__( 'Type your comment here to join or kick off the discussion...*' , 'powerup' ) . '"></textarea>' .
                            '</div></div></div></div></div></div>',
                    'logged_in_as' => '<p class="logged-in-as">' . sprintf( esc_html__( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s">Log out?</a>', 'powerup' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</p>',
                    'title_reply' => ( '' ),
                    'comment_notes_before' => '',
                    'comment_notes_after' => '',
                    'cancel_reply_link' => ( '<span id="cancel-comment-reply"></span>' ),
                    'label_submit' => esc_html__( 'Submit' , 'powerup' ),
                );
                comment_form($custom_comment_form); 
                ?>
		
		<?php if ( have_comments() || comments_open() ) : ?>
		</div>
		<!-- /.commentwrap -->
		<?php endif; // end commentwrap ?>
		<!-- END COMMENT FORM -->
		
	</div>