<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta charset="<?php echo esc_html( get_bloginfo('charset') ); ?>">

<!-- wp_header -->
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<!-- BEGIN TOP ANCHOR -->
<div class="top-anchor"></div>
<!-- END TOP ANCHOR -->

<!-- BEGIN SHOW STYLED SCROLLBAR BACKGROUND -->
<?php if(get_theme_mod('powerup_disable_styled_scrollbars', '') === '') { ?>
    <div class="powerup-styled-scrollbar-track"></div>
<?php } ?>
<!-- END SHOW STYLED SCROLLBAR BACKGROUND -->

<div id="sitewrap" class="sitewrap">
    
    <?php get_template_part('include-header'); ?>
    
    <!-- BEGIN MENU INCLUDE -->
    <?php get_template_part('include-menu'); ?>
    <!-- END MENU INCLUDE -->
    
    <div class="sitewrap-inner">
        
        <!-- BEGIN TRENDING STORIES -->
        <?php if(get_theme_mod('powerup_trending_ticker', '') !== '') { ?>
            <div class="powerup-trending-ticker-wrapper">
                <!-- BEGIN TICKER SLIDER -->
                <div class="swiper-container-ticker">
                    <div class="swiper-wrapper">
                        <!-- THE LOOP -->
                        <?php $popular = new WP_Query( array(
                            'post_type'             => array('post'),
                            'showposts'             => 5,
                            'orderby'               => 'comment_count',
                            'order'                 => 'dsc',
                            'date_query' => array(
                                array(
                                    'after' => '1 week ago',
                                ),
                            ),
                        ) ); ?>
                        <?php while ( $popular->have_posts() ): $popular->the_post(); ?>
                        <div class="swiper-slide">
                            <!-- BEGIN TITLE -->
                            <div class="entry-title">
                                <a href="<?php echo esc_url( get_permalink() ); ?>">
                                    <h2><?php the_title(); ?></h2>
                                </a>
                            </div>
                            <!-- END TITLE -->
                        </div>
                        <?php endwhile; ?>
                        <!-- END LOOP  -->
                    </div>
                </div>
                <!-- Swiper Pagination -->
                <div class="swiper-button-next"></div>
                <div class="swiper-button-prev"></div>
                <!-- END TICKER SLIDER -->

                <!-- BEGIN "Trending" MARKER -->
                <div class="trending-posts-marker">
                    <?php esc_html_e('Trending','powerup'); ?>
                    <span class="icon-help-with-circle"></span>
                    <div class="trending-posts-tooltip">
                        <?php esc_html_e('Most discussed stories from the last week.','powerup'); ?>
                    </div>
                </div>
                <!-- END "Trending" MARKER -->
            </div>
        <?php } ?>
        <!-- END TRENDING STORIES -->
        
        <div class="content-wrapper">