<!-- BEGIN HEADER -->
<div class="powerup-header-background"></div>
<!-- BEGIN LOGO -->
<div class="powerup-logo-wrapper">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
        <?php if(get_theme_mod('powerup_logo_image')) : ?>
            <img src="<?php echo get_theme_mod('powerup_logo_image'); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
        <?php else : ?>
            <span><?php echo esc_html(get_bloginfo('name')); ?></span>
        <?php endif; ?>
    </a>
</div>
<!-- END LOGO -->
<div class="powerup-header-wrapper">
    <!-- BEGIN NAVIGATION BAR -->
    <div class="powerup-main-nav-wrapper">
        <!-- BEGIN MENU BUTTON + TABS PREFIX -->
        <div class="powerup-main-nav-button-prefix-wrapper">
            <div class="powerup-menu-button-wrapper">
                <div class="powerup-menu-tooltip"></div>
                <div class="powerup-menu-button-wrapper-inner">
                    <div class="powerup-menu-button"></div>
                    <div class="powerup-menu-button-middle"></div>
                </div>
                <div class="powerup-menu-button-text">
                    <?php if( get_theme_mod('powerup_menu_button_label', '') === '') { ?>
                        <?php esc_html_e('BROWSE','powerup'); ?>
                    <?php } else { ?>
                        <?php echo get_theme_mod('powerup_menu_button_label'); ?>
                    <?php } ?>
                </div>
            </div>
            <?php if( get_theme_mod('powerup_tabs_prefix', '') !== '') { ?>
                <div class="powerup-header-tabs-prefix">
                    <?php echo get_theme_mod('powerup_tabs_prefix'); ?>
                </div>
            <?php } ?>
        </div>
        <!-- END MENU BUTTON + TABS PREFIX -->
        <!-- BEGIN TABS -->
        <div class="powerup-header-tabs-wrapper">
            <?php wp_nav_menu( array( 'theme_location' => 'powerup-header-tabs', 'fallback_cb' => '' ) ); ?>
        </div>
        <!-- END TABS -->
    </div>
    <!-- END NAVIGATION BAR -->
    
    <!-- BEGIN QUICKLINK + SEARCH -->
    <div class="powerup-header-search-quicklink-wrapper">
        <!-- BEGIN QUICKLINK -->
        <?php if( get_theme_mod('powerup_quicklink_label', '') !== '') { ?>
        <div class="powerup-header-quicklink">
            <a href="<?php echo esc_url(get_theme_mod('powerup_quicklink_url')); ?>">
                <?php echo get_theme_mod('powerup_quicklink_label'); ?>
            </a>
        </div>
        <?php } ?>
        <!-- END QUICKLINK -->
        <!-- BEGIN SEARCH -->
        <div class="powerup-header-search-wrapper">
            <div class="powerup-search-wrapper">
                <?php get_search_form(); ?>
            </div>
        </div>
        <!-- END SEARCH -->
    </div>
    <!-- END QUICKLINK + SEARCH -->
</div>
<!-- END HEADER -->