<?php get_header(); ?>		

<!-- BEGIN FEATURED BACKGROUND ELEMENT (only on the front page, hide when paged) -->
<?php if(get_theme_mod('powerup_featured_area', '') !== '') { ?>
    <?php if(get_theme_mod('powerup_disable_featured_shape', '') === '') { ?>
        <?php if ( !is_paged() ) { ?>
            <div class="index-background-element"></div>
        <?php } ?>
    <?php } ?>
<?php } ?>
<!-- END FEATURED BACKGROUND ELEMENT (only on the front page, hide when paged) -->

<div class="index-main-wrapper">

    <!-- BEGIN INDEX TOP CONTENT (only on the front page, hide when paged) -->
    <?php if(get_theme_mod('powerup_featured_area', '') !== '') { ?>
        <?php if ( !is_paged() ) { ?>
            <?php if(get_theme_mod('powerup_featured_area_alt', '') === '') { ?>
                <!-- BEGIN INCLUDE FEATURED AREA -->
                <?php get_template_part('include-featured'); ?>
                <!-- END INCLUDE FEATURED AREA -->
            <?php } else { ?>
                <!-- BEGIN INCLUDE ALTERNATE FEATURED AREA -->
                <?php get_template_part('include-featured-alt'); ?>
                <!-- END INCLUDE ALTERNATE FEATURED AREA -->
            <?php } ?>
        <?php } ?>
    <?php } ?>
    <!-- END INDEX TOP CONTENT (only on the front page, hide when paged) -->

    <!-- BEGIN LOOP -->
    <div class="index-loop-wrapper">
        <div class="index-loop-wrapper-inner">
        
            <!-- BEGIN HIGHLIGHTED POSTS MARKER -->
            <div class="necessary-wrapper-for-index">
                <?php if(get_theme_mod('powerup_disable_highlighted_content', '') === '') { ?>
                <div class="highlighted-posts-marker">
                    <?php esc_html_e('Highlighted','powerup'); ?>
                    <span class="icon-help-with-circle">
                        <span class="highlighted-posts-tooltip">
                            <?php esc_html_e('Color-marked content should be considered essential reading.','powerup'); ?>
                        </span>
                    </span>
                </div>
                <?php } ?>
            </div>
            <!-- END HIGHLIGHTED POSTS MARKER -->

            <!-- BEGIN INDEX LOOP -->
            <?php if(get_theme_mod('powerup_enable_loop_grouping', '') !== '') { ?>

                    <?php // the loop ?>
                    <?php if (have_posts()) : ?>
                        <?php $day_check = ''; while (have_posts()) : the_post(); $day = get_the_date('F j'); if ($day !== $day_check) { if ($day_check !== '') ;?>
                            <div class="blog-index-date">
                                <?php echo esc_attr(the_time('l, F jS')); ?>
                            </div>
                            <div class="loop-index-top-border"></div>
                        <?php } ?>
                            <?php get_template_part('loop-index'); ?>
                        <?php $day_check = $day; endwhile; ?>
                    <?php else : ?>
                        <!-- BEGIN NO CONTENT FOUND -->
                        <div class="powerup-no-posts-found">
                            <?php esc_html_e('Apologies, nothing found.', 'powerup' ); ?>
                        </div>
                        <!-- END NO CONTENT FOUND -->
                    <?php endif; ?>

            <?php } else { ?>

                    <div class="blog-index-latest">
                        <?php esc_html_e('Latest content', 'powerup' ); ?>
                    </div>
                    <div class="loop-index-top-border"></div>
                    
                    <?php // the loop ?>
                    <?php if (have_posts()) : ?>
                    <?php while (have_posts()) : the_post(); ?>
                        
                        <!-- BEGIN LOOP -->
                        <?php get_template_part('loop-index'); ?>
                        <!-- END LOOP  -->
                
                    <?php endwhile; ?>
                    <?php else : ?>
                
                        <!-- BEGIN NO CONTENT FOUND -->
                        <div class="powerup-no-posts-found">
                            <?php esc_html_e('Apologies, nothing found.', 'powerup' ); ?>
                        </div>
                        <!-- END NO CONTENT FOUND -->
                
                    <?php endif; ?>
                    
            <?php } ?>
            <!-- END INDEX LOOP -->
            
            <!-- BEGIN INCLUDE PAGINATION -->
            <?php get_template_part('pagination'); ?>
            <!-- END INCLUDE PAGINATION -->

        </div>
    </div>
    <!-- END LOOP -->
    
    <!-- BEGIN SIDEBAR -->
    <div class="sidebar-wrapper">
        <?php get_template_part('include-sidebar'); ?>
    </div>
    <!-- END SIDEBAR -->

</div>
<!-- /.index-main-wrapper -->

<?php get_footer(); ?>