<?php if(!is_single()) : global $more; $more = 0; endif; //enable more link ?>

<div class="powerup-single-wrapper">
    <div class="powerup-single-wrapper-inner">

        <!-- BEGIN FEATURED IMAGE -->
        <?php if ( has_post_thumbnail() ) { ?>
            <div class="featured-image">
                <!-- BEGIN FEATURED IMAGE -->
                <a href="<?php echo esc_url( get_permalink() ); ?>">
                    <?php the_post_thumbnail(); ?>
                </a>
                <!-- END FEATURED IMAGE -->
            </div>
        <?php } ?>
        <!-- END FEATURED IMAGE -->

        <!-- BEGIN CONTENT -->
        <div class="entry-content-wrapper">
            <div class="entry-content">
                <!-- BEGIN DATE -->
                <div class="post-date">
                    <?php echo esc_attr(the_time(get_option('date_format'))); ?><span>|</span>
                </div>
                <!-- END DATE -->

                <!-- BEGIN POST CAT -->
                <div class="post-cat">
                    <?php esc_html_e( 'Filed under:', 'powerup' ); ?>
                    <?php the_category('<span>, </span>'); ?>
                </div>
                <!-- END POST CAT -->

                <!-- BEGIN CONTENT  -->
                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <!-- BEGIN TITLE -->
                    <div class="entry-title">
                        <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo esc_attr( sprintf( esc_html__( 'Permalink to %s', 'powerup' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark">
                            <h1><?php the_title(); ?></h1>
                        </a>
                    </div>
                    <!-- END TITLE -->
        
                    <!-- BEGIN CONTENT -->
                    <?php the_content( esc_html__( 'Continues..', 'powerup' ) ); ?>
                    <!-- END CONTENT -->

                    <!-- BEGIN NAVIGATION -->
                    <div class="link-pages">
                        <?php wp_link_pages(array(''.esc_html__('Pages:', 'powerup').' ', 'next_or_number' => 'number')); ?>
                    </div>
                    <!-- END NAVIGATION -->
                </article>
                <!-- END CONTENT -->
                
                <!-- BEGIN EDIT LINK -->
                <?php edit_post_link(esc_html__('Edit post', 'powerup')); ?>
                <!-- END EDIT LINK -->
                
                <!-- BEGIN AUTHOR, AVATAR, DESCRIPTION -->
                <div class="post-author">
                    <!-- BEGIN AUTHOR AVATAR -->
                    <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
                        <?php echo get_avatar(get_the_author_meta('ID'),74 ); ?>
                    </a>
                    <!-- END AUTHOR AVATAR -->
                    <!-- BEGIN AUTHOR DESCRIPTION -->
                    <div class="author-desc-wrapper">
                        <span class="author-name"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php printf( esc_html(get_the_author()) ); ?></a></span><span class="author-position">, <?php $positionHandle = the_author_meta('position'); ?></span>
                        <div class="author-description">
                            <?php the_author_meta('description'); ?>
                        </div>
                    </div>
                    <!-- END AUTHOR DESCRIPTION -->
                </div>
                <!-- END AUTHOR, AVATAR, DESCRIPTION -->
                
                <!-- BEGIN TINY DIVIDER -->
                <div class="tiny-divider"></div>
                <!-- END TINY DIVIDER -->

                <!-- BEGIN POST TAGS -->
                <div class="post-tag">
                    <?php the_tags('Tagged with: ','<span>, </span>',''); ?>
                </div>
                <!-- END POST TAGS -->

            </div>
        </div>
        <!-- END CONTENT -->

        <!-- BEGIN RELATED STORIES -->
        <?php if(get_theme_mod('powerup_hide_related_stories', '') === '') { ?>
        <div class="related-stories-wrapper">

            <?php $orig_post = $post; global $post; $tags = wp_get_post_tags($post->ID);
            if ($tags) {
            $tag_ids = array();
            foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
            $args=array(
            'tag__in' => $tag_ids,
            'post__not_in' => array($post->ID),
            'posts_per_page'=>2, // Number of related posts to display.
            'caller_get_posts'=>1
            );
            $my_query = new wp_query( $args ); while( $my_query->have_posts() ) { $my_query->the_post(); ?>
                
                <div class="related-stories-inner" style="background-image:url(<?php the_post_thumbnail_url()?>);">
                    <div class="related-stories-bg-gradient">
                    
                        <!-- BEGIN CATEGORY MARKERS -->
                        <div class="category-markers-wrapper">
                            <?php if(in_category('video')) { ?>
                                <div class="video-post-marker"></div>
                            <?php } ?>

                            <?php if(in_category('images')) { ?>
                                <div class="images-post-marker">
                                    <div class="images-post-marker-inner"></div>
                                </div>
                            <?php } ?>
                        </div>
                        <!-- END CATEGORY MARKERS -->
                        
                        <!-- BEGIN MARK HIGHLIGHTED POST -->
                        <?php if(get_theme_mod('powerup_disable_highlighted_content', '') === '') { ?>
                            <?php if(in_category('highlighted')) { ?>
                                <div class="highlighted-post-marker"></div>
                            <?php } ?>
                        <?php } ?>
                        <!-- END MARK HIGHLIGHTED POST -->
                        
                        <a href="<?php the_permalink()?>">
                            <!-- BEGIN CATEGORIES (except 'featured' and 'highlighted') -->
                            <?php $categories = get_the_category(); $separator = ''; $output = '';
                            if($categories){
                                foreach($categories as $category) {
                                    if($category->slug !== 'featured') 
                                    if($category->slug !== 'highlighted')
                                    { $output .= '<div class="related-category">'.$category->cat_name.'</div>'.$separator; }
                                }
                            echo trim($output, $separator); } ?>
                            <!-- END CATEGORIES (except 'featured' and 'highlighted') -->

                            <div class="related-title-wrapper">
                                <!-- BEGIN COMMENT COUNT (if post has comments) -->
                                <?php if (get_comments_number()==0) { } else { ?>
                                    <div class="comment-count-bubble">
                                        <span>
                                            <?php comments_number('','1','%'); ?>
                                        </span>
                                    </div>
                                <?php } ?>
                                <!-- END COMMENT COUNT (if post has comments) -->
                                <h3><?php the_title()?></h3>
                                <div class="related-author-time"><?php esc_html_e( 'By', 'powerup' ); ?> <?php printf( esc_html(get_the_author()) ); ?> // <?php printf( _x('%s ago', '%s = human-readable time difference','powerup'), human_time_diff( get_the_time('U'), current_time('timestamp') ) ); ?></div>
                            </div>
                        </a>
                        
                    </div>
                </div>

            <?php } } $post = $orig_post; wp_reset_query(); ?>
        </div>
        <?php } ?>
        <!-- END RELATED STORIES -->

        <!-- BEGIN COMMENTS -->
        <?php comments_template(); ?>
        <!-- END COMMENTS -->

    </div>
    <!-- /.powerup-single-wrapper-inner -->
</div>
<!-- /.powerup-single-wrapper -->