<?php get_header(); ?>

<div class="powerup-single-wrapper">
    <div class="powerup-single-wrapper-inner">

        <?php while ( have_posts() ) : the_post(); ?>

        <!-- BEGIN FEATURED IMAGE -->
        <?php if ( has_post_thumbnail() ) { ?>
            <div class="featured-image">
                <!-- BEGIN FEATURED IMAGE -->
                <a href="<?php echo esc_url( get_permalink() ); ?>">
                    <?php the_post_thumbnail(); ?>
                </a>
                <!-- END FEATURED IMAGE -->
            </div>
        <?php } ?>
        <!-- END FEATURED IMAGE -->

        <!-- BEGIN CONTENT -->
        <div class="entry-content-wrapper">
            <div class="entry-content">
                
                <!-- BEGIN TITLE -->
                <div class="entry-title">
                    <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo esc_attr( sprintf( esc_html__( 'Permalink to %s', 'powerup' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark">
                        <h1><?php the_title(); ?></h1>
                    </a>
                </div>
                <!-- END TITLE -->

                <!-- BEGIN CONTENT -->
                <?php the_content( esc_html__( 'Continues..', 'powerup' ) ); ?>
                <!-- END CONTENT -->

                <!-- BEGIN NAVIGATION -->
                <div class="link-pages">
                    <?php wp_link_pages(array(''.esc_html__('Pages:', 'powerup').' ', 'next_or_number' => 'number')); ?>
                </div>
                <!-- END NAVIGATION -->
                
                <!-- BEGIN EDIT LINK -->
                <?php edit_post_link(esc_html__('Edit page', 'powerup')); ?>
                <!-- END EDIT LINK -->
                
            </div>
        </div>
        <!-- END CONTENT -->
        
        <?php endwhile; ?>

        <!-- BEGIN COMMENTS -->
        <?php comments_template(); ?>
        <!-- END COMMENTS -->

    </div>
    <!-- /.powerup-single-wrapper-inner -->
</div>
<!-- /.powerup-single-wrapper -->

<!-- BEGIN DIVIDER -->
<div class="sidebar-single-divider"></div>
<!-- END DIVIDER -->

<!-- BEGIN SIDEBAR -->
<div class="sidebar-wrapper">
    <?php get_template_part('include-sidebar'); ?>
</div>
<!-- END SIDEBAR -->

<?php get_footer(); ?>